$!
$!	KITINSTAL.COM
$!	=============
$!
$! Facility : LCK
$! Version  : 1.1
$! Function : Installation commands
$!
$!  Marc Van Dyck, 27-MAY-1999
$!
$!==============================================================================
$!
$! Set up error handling.
$!
$ 	ON CONTROL_Y THEN EXIT VMI$_FAILURE
$ 	ON WARNING  THEN EXIT $STATUS
$!
$!   Handle INSTALL, IVP and unsupported parameters passed by VMSINSTAL
$!
$ 	IF P1 .EQS. "VMI$_INSTALL" THEN GOTO install
$ 	EXIT VMI$_UNSUPPORTED
$install:
$!
$! Exit if not on right architecture
$!
$! Note :	we are not using IF-THEN-ELSE here because we don'k know if
$!		the version we're running on supports it - might be too old.
$!
$	this_cpu = F$ELEMENT ( F$GETSYI ( "ARCH_TYPE" ) , "|" , "|VAX|AXP|" )
$	@ VMI$KWD:KITDATA
$	IF this_cpu .EQS. lck$kit_arch THEN GOTO arch_ok
$	WRITE SYS$OUTPUT " "
$	VMI$CALLBACK MESSAGE E BADARCH "This LCK kit will only install on OpenVMS ''lck$kit_arch' systems."
$	WRITE SYS$OUTPUT " "
$	EXIT VMI$_FAILURE
$arch_ok:
$!
$! Check for minimum OpenVMS version.
$!
$	VMI$CALLBACK CHECK_VMS_VERSION lck$vms "7.2"
$ 	IF lck$vms THEN GOTO version_ok
$	WRITE SYS$OUTPUT " "
$	VMI$CALLBACK MESSAGE E BADVERS "This LCK kit requires OpenVMS V7.2 (or later) for correct installation."
$	WRITE SYS$OUTPUT " "
$	EXIT VMI$_FAILURE
$version_ok:
$!
$! Handle IVP/Purge questions
$!
$	VMI$CALLBACK SET PURGE YES
$	VMI$CALLBACK SET IVP NO
$!
$! Check for adequate disk space
$!  
$ 	VMI$CALLBACK CHECK_NET_UTILIZATION LCK$SPACE 10000
$!
$! If not enough disk space
$!
$ 	IF .NOT. LCK$SPACE
$	THEN 
$	    VMI$CALLBACK MESSAGE E NOSPACE "System disk does not contain enough free blocks to install LCK"
$	    EXIT VMI$_FAILURE
$	ENDIF
$!
$! Set safety mode
$!
$	VMI$CALLBACK SET SAFETY YES
$!
$! Fix ownership and protection of files to be distributed
$!
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck_cli.exe		[SYSTEM]	S:RWED,O:RWED,G:E,W:E
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck_messages.exe	[SYSTEM]	S:RWED,O:RWED,G:E,W:E
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck_routines.exe	[SYSTEM]	S:RWED,O:RWED,G:E,W:E
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck_declarations.sdl	[SYSTEM]	S:RWED,O:RWED,G:RE,W:RE
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck_declarations.pen	[SYSTEM]	S:RWED,O:RWED,G:RE,W:RE
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck_messages.sdl	[SYSTEM]	S:RWED,O:RWED,G:RE,W:RE
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck_messages.pen	[SYSTEM]	S:RWED,O:RWED,G:RE,W:RE
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck.lni		[SYSTEM]	S:RWED,O:RWED,G:RE,W:RE
$	VMI$CALLBACK SECURE_FILE vmi$kwd:lck$startup.com	[SYSTEM]	S:RWED,O:RWED,G,W
$!
$! Deliver images
$!
$	VMI$CALLBACK PROVIDE_IMAGE lck$ lck_cli.exe		VMI$ROOT:[SYSEXE]
$	VMI$CALLBACK PROVIDE_IMAGE lck$ lck_messages.exe	VMI$ROOT:[SYSMSG]
$	VMI$CALLBACK PROVIDE_IMAGE lck$ lck_routines.exe	VMI$ROOT:[SYSLIB] I
$!
$! Deliver other files
$!
$	VMI$CALLBACK PROVIDE_FILE lck$	lck_declarations.sdl	VMI$ROOT:[SYSLIB]
$	VMI$CALLBACK PROVIDE_FILE lck$	lck_declarations.pen	VMI$ROOT:[SYSLIB]
$	VMI$CALLBACK PROVIDE_FILE lck$	lck_messages.sdl	VMI$ROOT:[SYSLIB]
$	VMI$CALLBACK PROVIDE_FILE lck$	lck_messages.pen	VMI$ROOT:[SYSLIB]
$	VMI$CALLBACK PROVIDE_FILE lck$	lck.lni			VMI$ROOT:[SYSHLP]
$	VMI$CALLBACK PROVIDE_FILE lck$	lck$startup.com		VMI$ROOT:[SYS$STARTUP]
$!
$! Help & DCL
$!
$	VMI$CALLBACK PROVIDE_DCL_HELP		lck.hlp
$	VMI$CALLBACK PROVIDE_DCL_COMMAND	lck.cld
$!
$! Inform about the startup file
$!
$	TYPE SYS$INPUT
$	DECK

  A startup file has been placed as SYS$STARTUP:LCK$STARTUP.COM.
  The file installs the LCK images and must be executed for correct
  execution of LCK. It is recommended to add this command file to
  your site-specific startup file, usually SYS$MANAGER:SYSTARTUP_VMS.COM.
  The LCK package does not require a shutdown file.

  A documentation of the LCK package has been placed as SYS$HELP:LCK.LNI.
  This file can be printed on any laser printer (model LN03 or above).

  The DCL command and help library have been updated to contain the new
  DCL command LCK.

$	EOD
$!
$! All done
$!
$	EXIT VMI$_SUCCESS
